LogJointLogit_Zellner <- function(X,beta,beta0,a,c,y1,ytot)
{

# X matrix : n x k
# beta : matrix nsimu x k
# beta0 : vector k (moy a priori de beta)
# a : scalar
# c : scalar
# y1 successes : vector n
# ytot trials : vector n

n <- dim(X)[1]
nsimu <- dim(beta)[1]
k <- dim(beta)[2]
if(abs(k-dim(X)[2])>0) {print("dimensions of X and beta do not match")}
p <- matrix(NA, nr=nsimu, nc=n)
XX<-matrix(NA, nr=k, nc=k)
p <- beta%*%t(X)
# (nsimu,k)*(k,n)=(nsimu,n)
p <- exp(p)/(1+exp(p))
ycoef <- sum(lgamma(1+ytot)-lgamma(1+y1)-lgamma(1+ytot-y1))
yvrais <- log(p)%*% matrix(y1,nr= n,nc=1)+log(1-p)%*%matrix(ytot-y1,nr= n,nc=1)
# (nsimu,n)*(n,1)=(nsimu,1)
XX<-t(X)%*%X
betaXbeta<-rep(NA,nsimu)
for (simu in 1:nsimu){
betaXbeta[simu] <- matrix(beta[simu,]-beta0,nr=1,nc=k)%*%XX%*%matrix(beta[simu,]-beta0,nr=k,nc=1)
                     }
#(1x k)(k x n)(n x k)(k*1)
yprior <- -(k/2)*log(2*c*pi) + 0.5*log(det(XX)) + lgamma(a+k/2)-lgamma(a)-(a+k/2)*log(1+betaXbeta/(2*c))
y <- ycoef + as.vector(yvrais) + as.vector(yprior)
return(y)

} #end function